%define        majver       %(echo %version | cut -d. -f 1-2)
Name:          libjson-glib
Version:       1.0.4
Release:       1mamba
Summary:       Library for JavaScript Object Notation format
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://live.gnome.org/JsonGlib
#Source:        http://folks.o-hand.com/~ebassi/sources/json-glib-%{version}.tar.gz
Source:        http://ftp.gnome.org/pub/GNOME/sources/json-glib/%{majver}/json-glib-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libselinux-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gobject-introspection-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{name} is a library providing serialization and deserialization support for the JavaScript Object Notation (JSON) format.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
%{name} is a library providing serialization and deserialization support for the JavaScript Object Notation (JSON) format.
This package contains libraries and header files needed for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
%{name} is a library providing serialization and deserialization support for the JavaScript Object Notation (JSON) format.
This package contains static libraries needed for development.

%package tools
Group:         System/Tools
Summary:       Tools for for JavaScript Object Notation format
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
%{name} is a library providing serialization and deserialization support for the JavaScript Object Notation (JSON) format.
This package contains tools based on the library.

%package apidocs
Summary:       %{name} api docunentation 
Group:         Documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description apidocs
%{name} is a library providing serialization and deserialization support for the JavaScript Object Notation (JSON) format.
This package contains %{name} api docunentation.

%prep
%setup -q -n json-glib-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

mkdir -p %{buildroot}%{_datadir}/gtk-doc/html/json-glib/
cp -a doc/reference/html/* %{buildroot}%{_datadir}/gtk-doc/html/json-glib/

%find_lang json-glib-1.0

%check
# make check

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f json-glib-1.0.lang
%defattr(-,root,root)
%{_libdir}/libjson-glib-1.0.so.*
%{_libdir}/girepository-*/Json-*.typelib
%doc COPYING ChangeLog

%files devel
%defattr(-,root,root)
%dir %{_includedir}/json-glib-1.0/json-glib
%{_includedir}/json-glib-1.0/json-glib/json-*.h
%{_libdir}/libjson-glib-1.0.so
%{_libdir}/pkgconfig/json-glib-1.0.pc
%{_datadir}/gir-*/Json-*.gir
%doc NEWS

%files tools
%defattr(-,root,root)
%{_bindir}/json-glib-format
%{_bindir}/json-glib-validate
%{_mandir}/man1/json-glib-format.1*
%{_mandir}/man1/json-glib-validate.1*

%files static
%defattr(-,root,root)
%{_libdir}/libjson-glib-1.0.la

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/json-glib
%{_datadir}/gtk-doc/html/json-glib/*.html
%{_datadir}/gtk-doc/html/json-glib/*.png
%{_datadir}/gtk-doc/html/json-glib/*.sgml
%{_datadir}/gtk-doc/html/json-glib/json-glib.devhelp2
%{_datadir}/gtk-doc/html/json-glib/*.css

%changelog
* Sat Apr 04 2015 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic update by autodist

* Wed Jun 04 2014 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic update by autodist

* Tue Mar 25 2014 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 0.99.2-1mamba
- automatic version update by autodist

* Tue Sep 24 2013 Automatic Build System <autodist@mambasoft.it> 0.16.2-1mamba
- automatic update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 0.15.2-1mamba
- automatic version update by autodist

* Tue Mar 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.2-1mamba
- update to 0.14.2

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 0.12.6-1mamba
- update to 0.12.6

* Sat Apr 16 2011 Automatic Build System <autodist@mambasoft.it> 0.12.4-1mamba
- automatic update by autodist

* Tue Jan 11 2011 Automatic Build System <autodist@mambasoft.it> 0.12.2-1mamba
- automatic update by autodist

* Sat Oct 16 2010 gil <puntogil@libero.it> 0.12.0-1mamba
- update to 0.12.0

* Wed Jun 23 2010 gil <puntogil@libero.it> 0.10.4-1mamba
- update to 0.10.4

* Wed Oct 21 2009 gil <puntogil@libero.it> 0.8.0-1mamba
- update to 0.8.0

* Thu Jan 01 2009 gil <puntogil@libero.it> 0.6.2-1mamba
- package created by autospec
